import 'dart:convert';

class EtqanGetProjectsModel {
  List<EtqanGetProjectsResponse>? etqanGetProjectsResponse;

  EtqanGetProjectsModel({
    this.etqanGetProjectsResponse,
  });

  factory EtqanGetProjectsModel.fromRawJson(String str) => EtqanGetProjectsModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetProjectsModel.fromJson(Map<String, dynamic> json) => EtqanGetProjectsModel(
    etqanGetProjectsResponse: json["ETQAN_GetProjects_Response"] == null ? [] : List<EtqanGetProjectsResponse>.from(json["ETQAN_GetProjects_Response"]!.map((x) => EtqanGetProjectsResponse.fromJson(x))),
  );

  Map<String, dynamic> toJson() => {
    "ETQAN_GetProjects_Response": etqanGetProjectsResponse == null ? [] : List<dynamic>.from(etqanGetProjectsResponse!.map((x) => x.toJson())),
  };
}

class EtqanGetProjectsResponse {
  String? projectAr;
  String? projectCode;
  String? projectEn;
  int? projectId;

  EtqanGetProjectsResponse({
    this.projectAr,
    this.projectCode,
    this.projectEn,
    this.projectId,
  });

  factory EtqanGetProjectsResponse.fromRawJson(String str) => EtqanGetProjectsResponse.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory EtqanGetProjectsResponse.fromJson(Map<String, dynamic> json) => EtqanGetProjectsResponse(
    projectAr: json["projectAr"],
    projectCode: json["projectCode"],
    projectEn: json["projectEn"],
    projectId: json["projectId"],
  );

  Map<String, dynamic> toJson() => {
    "projectAr": projectAr,
    "projectCode": projectCode,
    "projectEn": projectEn,
    "projectId": projectId,
  };
}
